Bug 167054 - No context menus on right mouse click in openoffice apps
No context menus on right mouse click in openoffice apps
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-08-29 16:58 EDT by Torsten Rohlfing
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-30 05:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 53926 None None None Never

  None (edit)
Description Torsten Rohlfing 2005-08-29 16:58:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Since switching to OOo 2.0 beta, I cannot (more precisely: almost not) access
any context menus that should appear when I right-click on something.

This is reproduced as simple as: start oowriter and right-click on the empty
page (similar behaviour in oocalc and ooimpress; did not test remaining apps). Nothing happens. Interestingly, if I type something that has a spelling
mistake and right-click on that, then I get a spellcheck context menu. Also, if
I move the mouse either up or left while I right click, I _do_ get the context
menu. If I move the mouse towards the bottom right, then I do _not_ get the
context menu. This does not work everywhere - in the "Styles and Formatting"
dialog, for example, I cannot get the context menus at all, whether I move the
mouse or not.

OS: I am running Fedora Core 4 with all current updates.

OOo versions - The problem persists in the current versions both from the Fedora
repository (1.9.125-1.1.0.fc4) and OOo (1.9.125-1). I also reported this problem to the OOo bug database. I am also filing here in case this is a problem with FC4's system libraries rather than with the actual OOo packages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start oowriter
2. create new (empty document)
3. right click on page

Actual Results:  nothing happens (it seems that the application window flickers for a moment, but that's all).

Expected Results:  A context menu with entries "Default Formatting / Font / Size /Style ... and so on" should have opened.

Additional info:

Right click on page while moving mouse up or left, context menu opens. Right click while moving mouse down or right, menu does not open.

Type misspelled word, right click on words, spellchecker context menu opens

In "Formating and Styles" (F11) dialog, no context menus appear, ever. That includes right-clicking with moving mouse.
Comment 1 Caolan McNamara 2005-08-30 03:17:37 EDT
kde or gnome ?
Comment 2 Torsten Rohlfing 2005-08-30 12:02:58 EDT
Sorry -- forgot to mention. I experienced the problem under KDE. I just tested
under Gnome, and there it works fine (no problems, that is). Back to KDE, and
the problem is back with no access to context menus.
Comment 3 Torsten Rohlfing 2005-09-26 20:01:12 EDT
Workaround for this problem: I switched KDE's focus policy from "Focus strictly
under mouse" to "Focus under mouse." Afterwards, context menus seem to work fine.

Note You need to log in before you can comment on or make changes to this bug.